com.google.cloud.dataflow.sdk.transforms

## Class ParDo.UnboundMulti<OutputT>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.ParDo.UnboundMulti<OutputT>

Type Parameters:
  `OutputT` - the type of the main output `PCollection` elements

Enclosing class:
  ParDo

    public static class ParDo.UnboundMulti<OutputT>
    extends Object

An incomplete multi-output `ParDo` transform, with unbound input type.

Before being applied, `of(com.google.cloud.dataflow.sdk.transforms.DoFn<InputT, OutputT>)` must be invoked to specify the `DoFn` to invoke, which will also bind the input type of this `PTransform`.

### Method Summary

All Methods Instance Methods Concrete Methods
`ParDo.UnboundMulti<OutputT>` `named(String name)` Returns a new multi-output `ParDo` transform that's like this transform but with the specified name.
`<InputT> ParDo.BoundMulti<InputT,OutputT>` `of(DoFn<InputT,OutputT> fn)` Returns a new multi-output `ParDo` `PTransform` that's like this transform but that will invoke the given `DoFn` function, and that has its input type bound.
`<InputT> ParDo.BoundMulti<InputT,OutputT>` `of(DoFn<InputT,OutputT> fn, Class<?> fnClass)`
`<InputT> ParDo.BoundMulti<InputT,OutputT>` `of(DoFnWithContext<InputT,OutputT> fn)` Returns a new multi-output `ParDo` `PTransform` that's like this transform but which will invoke the given `DoFnWithContext` function, and which has its input type bound.
`ParDo.UnboundMulti<OutputT>` `withSideInputs(Iterable<? extends PCollectionView<?>> sideInputs)` Returns a new multi-output `ParDo` transform that's like this transform but with the specified additional side inputs.
`ParDo.UnboundMulti<OutputT>` `withSideInputs(PCollectionView<?>... sideInputs)` Returns a new multi-output `ParDo` transform that's like this transform but with the specified side inputs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### named

    public ParDo.UnboundMulti<OutputT> named(String name)

Returns a new multi-output `ParDo` transform that's like this transform but with the specified name. Does not modify this transform. The resulting transform is still incomplete.

See the discussion of Naming above for more explanation.

#### withSideInputs

    public ParDo.UnboundMulti<OutputT> withSideInputs(PCollectionView<?>... sideInputs)

Returns a new multi-output `ParDo` transform that's like this transform but with the specified side inputs. Does not modify this transform. The resulting transform is still incomplete.

See the discussion of Side Inputs above and on `ParDo.withSideInputs(com.google.cloud.dataflow.sdk.values.PCollectionView<?>...)` for more explanation.

#### withSideInputs

    public ParDo.UnboundMulti<OutputT> withSideInputs(Iterable<? extends PCollectionView<?>> sideInputs)

Returns a new multi-output `ParDo` transform that's like this transform but with the specified additional side inputs. Does not modify this transform. The resulting transform is still incomplete.

See the discussion of Side Inputs above and on `ParDo.withSideInputs(com.google.cloud.dataflow.sdk.values.PCollectionView<?>...)` for more explanation.

#### of

    public <InputT> ParDo.BoundMulti<InputT,OutputT> of(DoFn<InputT,OutputT> fn)

Returns a new multi-output `ParDo` `PTransform` that's like this transform but that will invoke the given `DoFn` function, and that has its input type bound. Does not modify this transform. The resulting `PTransform` is sufficiently specified to be applied, but more properties can still be specified.

#### of

    public <InputT> ParDo.BoundMulti<InputT,OutputT> of(DoFn<InputT,OutputT> fn,
                                                        Class<?> fnClass)

#### of

    public <InputT> ParDo.BoundMulti<InputT,OutputT> of(DoFnWithContext<InputT,OutputT> fn)

Returns a new multi-output `ParDo` `PTransform` that's like this transform but which will invoke the given `DoFnWithContext` function, and which has its input type bound. Does not modify this transform. The resulting `PTransform` is sufficiently specified to be applied, but more properties can still be specified.